#!/usr/bin/env bash

echo 'Enable ly'
sudo dnf copr enable dhalucario/ly

echo 'Install my desktop stuff...'
sudo dnf install -y --skip-broken \
    @base-x ly awesome picom slock imv ibus dbus-x11 pipewire pipewire-pulseaudio dex-autostart pavucontrol alsa-utils

echo 'Installing graphical applications...'
sudo dnf install -y \
    guake firefox keepassxc nextcloud-client

echo 'Installing extended graphical applications...'
sudo dnf install -y \
    nautilus emacs gparted thunderbird filezilla telegram-desktop libreoffice \
    flameshot ibus-uniemoji xsel mpv xt7-player-mpv

git clone --depth 1 https://github.com/hlissner/doom-emacs ~/.emacs.d
~/.emacs.d/bin/doom install

# Install gaming
#sudo dnf install -y \
#    steam lutris gamemode

sudo systemctl set-default graphical.target
